
Name:     latte-dock
Version:  0.7.4
Release:  %mkrel 1
Summary:  Latte is a dock based on plasma frameworks
Group: Graphical desktop/KDE5
License:  GPLv2+
URL: https://download.kde.org/stable/latte-dock/
Source0:  %{name}-%{version}.tar.xz
BuildRequires: kf5-macros
BuildRequires: cmake
BuildRequires: lib64kconfig-devel
BuildRequires: lib64kcoreaddons-devel
BuildRequires: lib64kf5activities-devel
BuildRequires: lib64kf5archive-devel
BuildRequires: lib64kf5configwidgets-devel
BuildRequires: lib64kf5crash-devel
BuildRequires: lib64kf5dbusaddons-devel
BuildRequires: lib64kf5declarative-devel
BuildRequires: lib64kf5globalaccel-devel
BuildRequires: lib64kf5i18n-devel
BuildRequires: lib64kf5iconthemes-devel
BuildRequires: lib64kf5notifications-devel
BuildRequires: lib64kf5package-devel
BuildRequires: lib64kf5plasma-devel
BuildRequires: lib64kf5service-devel
BuildRequires: lib64kf5wayland-devel
BuildRequires: lib64kf5widgetsaddons-devel
BuildRequires: lib64kf5windowsystem-devel
BuildRequires: lib64kf5xmlgui-devel
BuildRequires: lib64qt5core-devel
BuildRequires: lib64qt5dbus-devel
BuildRequires: lib64qt5gui-devel
BuildRequires: lib64qt5network-devel
BuildRequires: lib64qt5qml-devel
BuildRequires: lib64qt5quick-devel
BuildRequires: lib64qt5widgets-devel
BuildRequires: lib64qt5x11extras-devel
BuildRequires: lib64x11-devel
BuildRequires: lib64xcb-util-devel
BuildRequires: libxcb-devel
BuildRequires: make
BuildRequires: mesa-devel
BuildRequires: pkgconfig
BuildRequires: qtbase5-common-devel
BuildRequires: x11-proto-devel

%description
Latte is a dock based on plasma frameworks that provides an elegant and
intuitive experience for your tasks and plasmoids. It animates its contents by
using parabolic zoom effect and tries to be there only when it is needed.

%prep
%setup -q

%build
%cmake_kf5
%make

%install
rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --add-category="X-MandrivaLinux-MoreApplications" \
  --remove-category="X-SuSE-DesktopUtility" \
  --dir %buildroot%{_datadir}/applications %buildroot%{_datadir}/applications/*

find %{buildroot} -size 0 -delete
%find_lang %{name} --all-name

%files -f %{name}.lang
%{_bindir}/latte-dock
%{_kf5_datadir}/applications/org.kde.latte-dock.desktop
%{_kf5_datadir}/dbus-1/interfaces/org.kde.LatteDock.xml
%{_kf5_datadir}/icons/breeze/*/*/*
%{_kf5_datadir}/icons/hicolor/*/*/*
%{_kf5_datadir}/knotifications5/lattedock.notifyrc
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.latte.containment.desktop
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.latte.plasmoid.desktop
%{_kf5_datadir}/kservices5/plasma-shell-org.kde.latte.shell.desktop
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.containment/
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.plasmoid/
%{_kf5_datadir}/plasma/shells/org.kde.latte.shell/
%{_kf5_qmldir}/org/kde/latte/
%{_kf5_datadir}/kservices5/plasma-applet-audoban.applet.separator.desktop
%{_kf5_datadir}/kservices5/plasma-applet-org.kde.latte.spacer.desktop
%{_kf5_datadir}/metainfo/audoban.applet.separator.appdata.xml
%{_kf5_datadir}/metainfo/org.kde.latte-dock.appdata.xml
%{_kf5_datadir}/metainfo/org.kde.latte.plasmoid.appdata.xml
%{_kf5_datadir}/metainfo/org.kde.latte.shell.appdata.xml
%{_kf5_datadir}/plasma/plasmoids/audoban.applet.separator/contents/ui/main.qml
%{_kf5_datadir}/plasma/plasmoids/audoban.applet.separator/metadata.desktop
%{_kf5_datadir}/plasma/plasmoids/audoban.applet.separator/metadata.json
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.spacer/contents/config/config.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.spacer/contents/config/main.xml
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.spacer/contents/ui/ConfigAppearance.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.spacer/contents/ui/main.qml
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.spacer/metadata.desktop
%{_kf5_datadir}/plasma/plasmoids/org.kde.latte.spacer/metadata.json

%changelog
* Fri Mar 09 2018 bb2 <bb2> - 0.7.4-1pclos2018
- new version

* Wed Dec 13 2017 bb2 <bb2> - 0.7.2-1pclos2017
- new version

* Tue Sep 26 2017 bb2 <bb2> - 0.7.1-1pclos2017
- create
